%define upstream_name    HTTP-Tiny-Multipart
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Add post_multipart to HTTP::Tiny
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(MIME::Base64)
BuildArch:  noarch

%description
Add post_multipart to HTTP::Tiny

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.0-5.mga10
+ Revision: 2203990
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.80.0-4.mga9
+ Revision: 1809482
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-3.mga8
+ Revision: 1504723
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-2.mga7
+ Revision: 1284116
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 0.80.0-1.mga7
+ Revision: 1226439
- update to 0.08

* Mon Oct 02 2017 tv <tv> 0.70.0-2.mga7
+ Revision: 1164838
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.70.0-1.mga7
+ Revision: 1159516
- update to 0.07

* Sun Apr 09 2017 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 1096170
- .spec description and fixes
- imported package perl-HTTP-Tiny-Multipart


* Sun Apr 09 2017 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
